Bug 9927 - errno gets overwritten in call to check_parent_exists()
errno gets overwritten in call to check_parent_exists()
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 20:11 UTC by Anand Avati
Modified: 2013-06-06 18:52 UTC (History)
2 users (show)

See Also:


Attachments
v3-6-test patch (1.69 KB, patch)
2013-06-05 05:43 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anand Avati 2013-06-04 20:11:08 UTC
Please backport to v3-6:

commit 7e807934e6550308efed814a20ce6d6dabbad557
Author: Anand Avati <avati@redhat.com>
Date:   Mon Apr 29 15:21:00 2013 -0700

    check_parent_exists() can change errno. Ensure we preserve it across calls.
    
    Reviewed-by: Jeremy Allison <jra@samba.org>
    Reviewed-by: Volker Lendecke <vl@samba.org>
    
    Autobuild-User(master): Volker Lendecke <vl@samba.org>
    Autobuild-Date(master): Tue Apr 30 11:00:11 CEST 2013 on sn-devel-104

The same patch applies cleanly
Comment 1 Andreas Schneider 2013-06-05 05:43:58 UTC
Created attachment 8941 [details]
v3-6-test patch
Comment 2 Jeremy Allison 2013-06-05 11:32:51 UTC
Comment on attachment 8941 [details]
v3-6-test patch

LGTM.
Comment 3 Jeremy Allison 2013-06-05 11:33:13 UTC
Re-assigning to Karolin for inclusion in 3.6.next.
Jeremy.
Comment 4 Karolin Seeger 2013-06-06 18:52:45 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!